Get agent sessions
curl --request GET \
--url https://api.pipecat.daily.co/v1/agents/{agentName}/sessions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pipecat.daily.co/v1/agents/{agentName}/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pipecat.daily.co/v1/agents/{agentName}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pipecat.daily.co/v1/agents/{agentName}/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pipecat.daily.co/v1/agents/{agentName}/sessions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pipecat.daily.co/v1/agents/{agentName}/sessions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pipecat.daily.co/v1/agents/{agentName}/sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"total_count": 330,
"sessions": [
{
"sessionId": "800d444a-e67e-4686-afb3-b0de509cccb3",
"serviceId": "b900ae4a-f710-4ef1-95d8-c5f5b2789da9",
"organizationId": "cc71b52d-4271-46c9-87be-cac600fd821a",
"deploymentId": "81f4da55-106d-401f-b069-a1f1992f871a",
"endedAt": "2025-10-22T08:39:26.000Z",
"botStartSeconds": 0,
"coldStart": false,
"completionStatus": "HTTP_COMPLETED",
"createdAt": "2025-10-22T08:39:26.000Z",
"updatedAt": "2025-10-22T08:39:26.000Z"
},
{
"sessionId": "803349cc-2ae0-437a-9a72-408817299e43",
"serviceId": "b900ae4a-f710-4ef1-95d8-c5f5b2789da9",
"organizationId": "cc71b52d-4271-46c9-87be-cac600fd821a",
"deploymentId": "81f4da55-106d-401f-b069-a1f1992f871a",
"endedAt": "2025-10-22T08:38:09.000Z",
"botStartSeconds": 2,
"coldStart": true,
"completionStatus": "HTTP_COMPLETED",
"createdAt": "2025-10-22T08:38:09.000Z",
"updatedAt": "2025-10-22T08:38:09.000Z"
},
{
"sessionId": "44003e83-b679-46ef-88ec-18e9ea9dd81d",
"serviceId": "b900ae4a-f710-4ef1-95d8-c5f5b2789da9",
"organizationId": "cc71b52d-4271-46c9-87be-cac600fd821a",
"deploymentId": "f76bae42-5ce8-4ae3-8a75-0349bfd7ec63",
"endedAt": "2025-10-21T08:17:47.000Z",
"botStartSeconds": 0,
"coldStart": false,
"completionStatus": "HTTP_ERROR",
"createdAt": "2025-10-21T08:17:22.000Z",
"updatedAt": "2025-10-21T08:17:38.000Z"
}
]
}{
"error": "Invalid parameters",
"err": {
"issues": [
{
"code": "invalid_value",
"values": [
"active",
"ended",
"all"
],
"path": [
"status"
],
"message": "Invalid enum value. Expected 'active' | 'ended' | 'all', received 'bad_value'"
}
],
"name": "ZodError"
},
"code": "400"
}{
"error": "API endpoint not found / agent deployment not found / Organization not found",
"code": "404"
}{
"error": "Internal server error. Please check logs for more information or contact support.",
"code": "500"
}List All Sessions
GET /agents//sessions lists sessions for a Pipecat Cloud agent with filtering and pagination options.
GET
/
agents
/
{agentName}
/
sessions
Get agent sessions
curl --request GET \
--url https://api.pipecat.daily.co/v1/agents/{agentName}/sessions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pipecat.daily.co/v1/agents/{agentName}/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pipecat.daily.co/v1/agents/{agentName}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pipecat.daily.co/v1/agents/{agentName}/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pipecat.daily.co/v1/agents/{agentName}/sessions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pipecat.daily.co/v1/agents/{agentName}/sessions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pipecat.daily.co/v1/agents/{agentName}/sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"total_count": 330,
"sessions": [
{
"sessionId": "800d444a-e67e-4686-afb3-b0de509cccb3",
"serviceId": "b900ae4a-f710-4ef1-95d8-c5f5b2789da9",
"organizationId": "cc71b52d-4271-46c9-87be-cac600fd821a",
"deploymentId": "81f4da55-106d-401f-b069-a1f1992f871a",
"endedAt": "2025-10-22T08:39:26.000Z",
"botStartSeconds": 0,
"coldStart": false,
"completionStatus": "HTTP_COMPLETED",
"createdAt": "2025-10-22T08:39:26.000Z",
"updatedAt": "2025-10-22T08:39:26.000Z"
},
{
"sessionId": "803349cc-2ae0-437a-9a72-408817299e43",
"serviceId": "b900ae4a-f710-4ef1-95d8-c5f5b2789da9",
"organizationId": "cc71b52d-4271-46c9-87be-cac600fd821a",
"deploymentId": "81f4da55-106d-401f-b069-a1f1992f871a",
"endedAt": "2025-10-22T08:38:09.000Z",
"botStartSeconds": 2,
"coldStart": true,
"completionStatus": "HTTP_COMPLETED",
"createdAt": "2025-10-22T08:38:09.000Z",
"updatedAt": "2025-10-22T08:38:09.000Z"
},
{
"sessionId": "44003e83-b679-46ef-88ec-18e9ea9dd81d",
"serviceId": "b900ae4a-f710-4ef1-95d8-c5f5b2789da9",
"organizationId": "cc71b52d-4271-46c9-87be-cac600fd821a",
"deploymentId": "f76bae42-5ce8-4ae3-8a75-0349bfd7ec63",
"endedAt": "2025-10-21T08:17:47.000Z",
"botStartSeconds": 0,
"coldStart": false,
"completionStatus": "HTTP_ERROR",
"createdAt": "2025-10-21T08:17:22.000Z",
"updatedAt": "2025-10-21T08:17:38.000Z"
}
]
}{
"error": "Invalid parameters",
"err": {
"issues": [
{
"code": "invalid_value",
"values": [
"active",
"ended",
"all"
],
"path": [
"status"
],
"message": "Invalid enum value. Expected 'active' | 'ended' | 'all', received 'bad_value'"
}
],
"name": "ZodError"
},
"code": "400"
}{
"error": "API endpoint not found / agent deployment not found / Organization not found",
"code": "404"
}{
"error": "Internal server error. Please check logs for more information or contact support.",
"code": "500"
}